Bug 845741 - [abrt] gnome-bluetooth-3.4.2-1.fc17: strcmp: Process /usr/bin/bluetooth-wizard was killed by signal 11 (SIGSEGV)
[abrt] gnome-bluetooth-3.4.2-1.fc17: strcmp: Process /usr/bin/bluetooth-wizar...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-bluetooth (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
abrt_hash:2f07aed18060f8d568ee2daccc3...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-04 07:20 EDT by Abhay
Modified: 2013-07-31 16:53 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 16:53:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (52.10 KB, text/plain)
2012-08-04 07:20 EDT, Abhay
no flags Details
File: maps (41.51 KB, text/plain)
2012-08-04 07:20 EDT, Abhay
no flags Details
File: dso_list (8.47 KB, text/plain)
2012-08-04 07:20 EDT, Abhay
no flags Details

  None (edit)
Description Abhay 2012-08-04 07:20:27 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        bluetooth-wizard
crash_function: strcmp
executable:     /usr/bin/bluetooth-wizard
kernel:         3.5.0-2.fc17.x86_64
pid:            6446
pwd:            /home/suhas
remote_result:  NOTFOUND
time:           Sat 04 Aug 2012 04:33:39 PM IST
uid:            1000
username:       suhas

backtrace:      Text file, 53353 bytes
dso_list:       Text file, 8677 bytes
maps:           Text file, 42509 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/suhas/2

core_backtrace:
:f69712fe393313f44607679e934bf5a67f39ec50 0x12ed36 __strcmp_sse42 libc.so.6 -
:354ed36600fb030507e910114bb3cf0a29ecbf1e 0x5f32 - libnma.so -
:d804f8ee47797da9213a92f00cd095ecada8d79f 0xc42a - libdbus-1.so.3 -
:d804f8ee47797da9213a92f00cd095ecada8d79f 0xf5ea dbus_connection_dispatch libdbus-1.so.3 -
:b262a361763f91cca5e5826440bebaa4bc8cfebe 0xac45 - libdbus-glib-1.so.2 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47695 g_main_context_dispatch libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x479c8 - libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47a84 g_main_context_iteration libglib-2.0.so.0 -
:6d13b4e8294bd29204ee566fd8ea1b67467d8ed5 0x97f5c g_application_run libgio-2.0.so.0 -
:2615c74ea2aef6575eac9c4395118160ac5bb193 0x3ec0 main [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=xyz-laptop
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/run/user/xyz/keyring-2PwPf0
:IMSETTINGS_MODULE=none
:USER=xyz
:USERNAME=xyz
:MAIL=/var/spool/mail/xyz
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/xyz/.local/bin:/home/suhas/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/xyz
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1110
:LANG=en_US.utf8
:GDM_LANG=en_US.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/xyz
:SHLVL=1
:LOGNAME=suhas
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-9XBXQjEKg5,guid=ef3ec5f1ed67da410a5539a500000031
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/xyz
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-xyz-eS5Zbc/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1114,unix/unix:/tmp/.ICE-unix/1114
:SSH_AUTH_SOCK=/run/user/xyz/keyring-2PwPf0/ssh
:GPG_AGENT_INFO=/run/user/xyz/keyring-2PwPf0/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 30389                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       30389                30389                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/suhas/.xsession-errors
:pos:	21421
:flags:	0102002
:2:/home/suhas/.xsession-errors
:pos:	21421
:flags:	0102002
:3:socket:[3927465]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[3927468]
:pos:	0
:flags:	02004002
:6:socket:[3924739]
:pos:	0
:flags:	02004002
:7:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:8:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:9:socket:[3926506]
:pos:	0
:flags:	02004002
:10:socket:[3930380]
:pos:	0
:flags:	02004002
:11:anon_inode:inotify
:pos:	0
:flags:	02004000
:12:anon_inode:[eventfd]
:pos:	0
:flags:	02004002

smolt_data:
:
:
:General
:=================================
:UUID: ef228674-6e8e-40e4-abc6-51ff9614f3ea
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 4787.97
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i3 CPU       M 370  @ 2.40GHz
:CPU Stepping: 5
:CPU Family: 6
:CPU Model Num: 37
:Number of CPUs: 4
:CPU Speed: 2394
:System Memory: 3820
:System Swap: 5855
:Vendor: Dell Inc.
:System: Inspiron N5010 A15
:Form factor: Portable
:Kernel: 3.5.0-2.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:11362:32902:32902) pci, None, HOST/PCI, Core Processor QuickPath Architecture Generic Non-core Registers
:(32902:11521:32902:32902) pci, None, HOST/PCI, Core Processor QuickPath Architecture System Address Decoder
:(32902:68:4136:1095) pci, None, HOST/PCI, Core Processor DRAM Controller
:(32902:69:4136:1095) pci, pcieport, PCI/PCI, Core Processor PCI Express x16 Root Port
:(32902:11536:32902:32902) pci, None, HOST/PCI, Core Processor QPI Link 0
:(32902:11537:32902:32902) pci, None, HOST/PCI, Core Processor QPI Physical 0
:(32902:11538:32902:32902) pci, None, HOST/PCI, Core Processor Reserved
:(32902:11539:32902:32902) pci, None, HOST/PCI, Core Processor Reserved
:(32902:15152:4136:1095) pci, None, SERIAL, 5 Series/3400 Series Chipset SMBus Controller
:(32902:15151:4136:1095) pci, ahci, STORAGE, 5 Series/3400 Series Chipset 6 port SATA AHCI Controller
:(32902:15115:4136:1095) pci, None, PCI/ISA, Mobile 5 Series Chipset LPC Interface Controller
:(32902:9288:4136:1095) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(5348:18215:4136:16) pci, bcma-pci-bridge, NETWORK, XPS 8300
:(32902:15164:4136:1095) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:15156:4136:1095) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:15204:4136:1095) pci, mei, SIMPLE, 5 Series/3400 Series Chipset HECI Controller
:(32902:15174:4136:1095) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 3
:(32902:15170:4136:1095) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 1
:(32902:15172:4136:1095) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 2
:(32902:15178:4136:1095) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 5
:(32902:15190:4136:1095) pci, snd_hda_intel, MULTIMEDIA, 5 Series/3400 Series Chipset High Definition Audio
:(4098:43576:4136:1095) pci, snd_hda_intel, MULTIMEDIA, RV710/730
:(4098:38016:4136:1095) pci, radeon, VIDEO, M96 [Mobility Radeon HD 4650]
:(4332:33078:4136:1095) pci, r8169, ETHERNET, RTL8101E/RTL8102E PCI Express Fast Ethernet controller
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_suhas--laptop-lv_root / ext4 4096 4096 9883086 5300644 5201702 2473984 2289201 2289201
:/dev/sda8 /boot ext4 1024 1024 508644 410030 384430 128016 127653 127653
:/dev/sda3 WITHHELD fuseblk UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN
:

var_log_messages:
:Aug  4 16:26:02 suhas-laptop dbus-daemon[752]: dbus[752]: [system] Rejected send message, 3 matched rules; type="method_return", sender=":1.623" (uid=1000 pid=6309 comm="bluetooth-wizard ") interface="(unset)" member="(unset)" error name="(unset)" requested_reply="0" destination=":1.0" (uid=0 pid=667 comm="/usr/sbin/bluetoothd -n ")
:Aug  4 16:26:02 suhas-laptop dbus[752]: [system] Rejected send message, 3 matched rules; type="method_return", sender=":1.623" (uid=1000 pid=6309 comm="bluetooth-wizard ") interface="(unset)" member="(unset)" error name="(unset)" requested_reply="0" destination=":1.0" (uid=0 pid=667 comm="/usr/sbin/bluetoothd -n ")
:Aug  4 16:28:35 suhas-laptop dbus-daemon[752]: dbus[752]: [system] Rejected send message, 3 matched rules; type="method_return", sender=":1.630" (uid=1000 pid=6359 comm="bluetooth-wizard ") interface="(unset)" member="(unset)" error name="(unset)" requested_reply="0" destination=":1.0" (uid=0 pid=667 comm="/usr/sbin/bluetoothd -n ")
:Aug  4 16:28:35 suhas-laptop dbus[752]: [system] Rejected send message, 3 matched rules; type="method_return", sender=":1.630" (uid=1000 pid=6359 comm="bluetooth-wizard ") interface="(unset)" member="(unset)" error name="(unset)" requested_reply="0" destination=":1.0" (uid=0 pid=667 comm="/usr/sbin/bluetoothd -n ")
:Aug  4 16:32:50 suhas-laptop dbus-daemon[752]: dbus[752]: [system] Rejected send message, 3 matched rules; type="method_return", sender=":1.637" (uid=1000 pid=6446 comm="bluetooth-wizard ") interface="(unset)" member="(unset)" error name="(unset)" requested_reply="0" destination=":1.0" (uid=0 pid=667 comm="/usr/sbin/bluetoothd -n ")
:Aug  4 16:32:50 suhas-laptop dbus[752]: [system] Rejected send message, 3 matched rules; type="method_return", sender=":1.637" (uid=1000 pid=6446 comm="bluetooth-wizard ") interface="(unset)" member="(unset)" error name="(unset)" requested_reply="0" destination=":1.0" (uid=0 pid=667 comm="/usr/sbin/bluetoothd -n ")
:Aug  4 16:33:40 suhas-laptop abrt[6511]: Saved core dump of pid 6446 (/usr/bin/bluetooth-wizard) to /var/spool/abrt/ccpp-2012-08-04-16:33:39-6446 (23310336 bytes)

xsession_errors:
:(bluetooth-wizard:6309): GLib-GObject-WARNING **: attempt to retrieve private data for invalid type 'DBusGProxy'
:** (bluetooth-wizard:6309): CRITICAL **: dbus_g_proxy_set_interface: assertion `DBUS_IS_G_PROXY (proxy)' failed
:** (bluetooth-wizard:6309): CRITICAL **: dbus_g_proxy_add_signal: assertion `DBUS_IS_G_PROXY (proxy)' failed
:** (bluetooth-wizard:6309): CRITICAL **: dbus_g_proxy_connect_signal: assertion `DBUS_IS_G_PROXY (proxy)' failed
:** (bluetooth-wizard:6309): CRITICAL **: dbus_g_proxy_begin_call_with_timeout: assertion `DBUS_IS_G_PROXY (proxy)' failed
:** (bluetooth-wizard:6309): WARNING **: dun_timeout_cb: Error: timed out detecting phone details.
:** (bluetooth-wizard:6309): CRITICAL **: dbus_g_proxy_disconnect_signal: assertion `DBUS_IS_G_PROXY (proxy)' failed
:(bluetooth-wizard:6309): GLib-GObject-WARNING **: attempt to retrieve private data for invalid type 'DBusGProxy'
:** (bluetooth-wizard:6309): CRITICAL **: dbus_g_proxy_set_interface: assertion `DBUS_IS_G_PROXY (proxy)' failed
:** (bluetooth-wizard:6309): CRITICAL **: dbus_g_proxy_add_signal: assertion `DBUS_IS_G_PROXY (proxy)' failed
:** (bluetooth-wizard:6309): CRITICAL **: dbus_g_proxy_connect_signal: assertion `DBUS_IS_G_PROXY (proxy)' failed
:** (bluetooth-wizard:6309): CRITICAL **: dbus_g_proxy_begin_call_with_timeout: assertion `DBUS_IS_G_PROXY (proxy)' failed
:(bluetooth-wizard:6359): GLib-GObject-WARNING **: attempt to retrieve private data for invalid type 'DBusGProxy'
:** (bluetooth-wizard:6359): CRITICAL **: dbus_g_proxy_set_interface: assertion `DBUS_IS_G_PROXY (proxy)' failed
:** (bluetooth-wizard:6359): CRITICAL **: dbus_g_proxy_add_signal: assertion `DBUS_IS_G_PROXY (proxy)' failed
:** (bluetooth-wizard:6359): CRITICAL **: dbus_g_proxy_connect_signal: assertion `DBUS_IS_G_PROXY (proxy)' failed
:** (bluetooth-wizard:6359): CRITICAL **: dbus_g_proxy_begin_call_with_timeout: assertion `DBUS_IS_G_PROXY (proxy)' failed
:** (bluetooth-wizard:6359): WARNING **: dun_timeout_cb: Error: timed out detecting phone details.
:** (bluetooth-wizard:6359): CRITICAL **: dbus_g_proxy_disconnect_signal: assertion `DBUS_IS_G_PROXY (proxy)' failed
:(bluetooth-wizard:6446): GLib-GObject-WARNING **: attempt to retrieve private data for invalid type 'DBusGProxy'
:** (bluetooth-wizard:6446): CRITICAL **: dbus_g_proxy_set_interface: assertion `DBUS_IS_G_PROXY (proxy)' failed
:** (bluetooth-wizard:6446): CRITICAL **: dbus_g_proxy_add_signal: assertion `DBUS_IS_G_PROXY (proxy)' failed
:** (bluetooth-wizard:6446): CRITICAL **: dbus_g_proxy_connect_signal: assertion `DBUS_IS_G_PROXY (proxy)' failed
:** (bluetooth-wizard:6446): CRITICAL **: dbus_g_proxy_begin_call_with_timeout: assertion `DBUS_IS_G_PROXY (proxy)' failed
:(bluetooth-wizard:6446): GLib-CRITICAL **: g_path_get_basename: assertion `file_name != NULL' failed
Comment 1 Abhay 2012-08-04 07:20:41 EDT
Created attachment 602240 [details]
File: backtrace
Comment 2 Abhay 2012-08-04 07:20:49 EDT
Created attachment 602241 [details]
File: maps
Comment 3 Abhay 2012-08-04 07:20:54 EDT
Created attachment 602242 [details]
File: dso_list
Comment 4 Fedora End Of Life 2013-07-03 16:41:06 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-07-31 16:53:46 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.